Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class PatternResources

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.ResourceItems<Pattern<?>>
              org.pdfclown.documents.contents.PatternResources

All Implemented Interfaces:
  Cloneable, Map<PdfName,Pattern<?>>, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class PatternResources

extends ResourceItems<Pattern<?>>

Pattern resources collection [PDF:1.6:3.7.2].

Since:
  0.1.0
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`PatternResources(Document context)`

Method Summary
`PatternResources` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`protected Pattern<?>` | `wrap(PdfDirectObject baseObject)` Wraps a base object within its corresponding high-level representation.

Methods inherited from class org.pdfclown.documents.contents.ResourceItems
`clear, containsKey, containsValue, entrySet, get, getKey, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### PatternResources

    public PatternResources(Document context)

Method Detail

### clone

    public PatternResources clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### wrap

    protected Pattern<?> wrap(PdfDirectObject baseObject)

  Description copied from class: `ResourceItems`
  Wraps a base object within its corresponding high-level representation.

  Specified by:
    `wrap` in class `ResourceItems<Pattern<?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.